* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  position: relative;
  background-color: #022f46;
}

#speaker img{
  object-fit: cover;
  
}

.hero-btn a{
  width: calc(350px / 1.5);
  height: calc(80px / 1.2);
  border-radius: 5px;
  border-bottom: 2.4px solid #305467;
  transition: all 0.125s ease-in-out;
}

.rectangle-1 {
  width: 100%;
  height: 100vw;
  top: -50vw;
  left: 0;
  -webkit-mask-image: linear-gradient(to bottom, black 80%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 80%, transparent 100%);
}

.light-1 {
  top: 0px;
  right: 0px;
  width: 200px;
  height: 400px;
  border-radius: 350px 0 0 350px;
}

.lines {
  z-index: -99;
}

.lines-1 {
  top: 10vw;
  right: 0;
  width: 100vw;
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}

@media only screen and (min-width: 320px){
  .credit-img{
    width: 180px;
  }

  .card{
    bottom: 150px !important;
  }
  
  .speaker{
    top: 10px;
  }

}

@media only screen and (min-width: 480px){
  .card{
    bottom: 90px !important;
  }
}

@media only screen and (min-width: 640px){
  .credit-img{
    width: 200px;
  }

  .card{
    bottom: 120px !important;
  }
}

@media only screen and (min-width: 768px){
  .credit-img{
    width: 250px;
  }
}

@media only screen and (min-width: 1024px){
  .credit-img{
    width: 300px;
  }
}

@media only screen and (min-width: 320px) {
  .sm-margin {
    margin-top: -500px !important;
  }

  .hero-btn{
    margin-top: 10px;
    flex-direction: column;
  }
}

@media only screen and (min-width: 480px) {
  .sm-margin {
    margin-top: -100vw !important;
  }
}

@media only screen and (min-width: 640px) {
  .sm-margin {
    margin-top: -70vw !important;
  }
}

@media only screen and (min-width: 768px) {
  .rectangle-1 {
    width: calc(45vw * 1.2);
    height: calc(50vw * 1.2);
    border-radius: calc(7vw * 1.2);
    top: -5vw;
    left: -2vw;
    transform: rotate(142deg);
  }

  .light-1 {
    right: 0px;
    width: 45vw;
    height: 45vw;
    border-radius: 50%;
  }

  .lines-1 {
    top: -5vw !important;
    right: 0;
    width: 60vw;
  }

  .sm-margin {
    margin-top: -60vw !important;
  }
  
  .hero-btn{
    padding-left: 150px;
  }
}

@media only screen and (min-width: 850px) {
  .hero-btn{
    padding-left: 150px;
  }
}

@media only screen and (min-width: 900px) {
  .hero-btn{
    padding-left: 150px;
  }
}

@media only screen and (min-width: 1024px) {
  .sm-margin {
    margin-top: -50vw !important;
  }
  
  .hero-btn{
    padding-left: 0;
    flex-direction: row;
  }
}

@media only screen and (min-width: 1280px) {
  .rectangle-1 {
    width: calc(45vw * 1.1);
    height: calc(50vw * 1.1);
    border-radius: calc(7vw * 1.1);
    top: -10vw;
  }

  .light-1 {
    width: 40vw;
    height: 40vw;
    right: 125px;
  }

  .lines-1 {
    top: 8vw !important;
    right: 0;
  }

  .sm-margin {
    margin-top: -20vw !important;
  }

  .adj-wav {
    margin-top: 35vw !important;
  }
}

/* NAVBAR */
nav {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  padding: 0 25px;
  /* margin: 0 105px; */
  z-index: 999;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: white;
  /* border-bottom: 0.5px solid white; */
  font-family: "Giuconda-Thin";
  transition: all 0.3s ease;
}

nav img {
  width: 25vw;
}

.nav-bar {
  display: none;
  cursor: pointer;
  cursor: pointer;
}

nav {
  font-size: 26px;
}

nav button {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 26px;
  color: white !important;
}

.offcanvas {
  background-color: #022f46 !important;
}

.offcanvas-list {
  color: white;
  display: flex;
  flex-direction: column;
  gap: 10px;
  font-size: 22px;
}

.indent {
  margin-left: 30px;
}

.offcanvas-light {
  width: 400px;
  height: 400px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@media only screen and (min-width: 4880px) {
  nav img {
    width: 20vw;
  }
}

@media only screen and (min-width: 640px) {
  nav img {
    width: 18vw;
  }

  .offcanvas {
    width: 60%;
  }
}

@media only screen and (min-width: 768px) {
  nav img {
    width: 15vw;
  }

  nav button,
  .offcanvas {
    display: none !important;
  }

  .nav-bar {
    display: flex;
    gap: 30px;
    font-size: 20px;
  }

  .nav-bar a {
    position: relative;
    text-decoration: none;
    transition: 0.125s all ease-in-out;
  }

  .nav-bar a:hover {
    color: #ff84b2;
    transition: 0.125s all ease-in-out;
  }
}

@media only screen and (min-width: 1024px) {
  nav img {
    width: 13vw;
  }
}

@media only screen and (min-width: 1280px) {
  nav img {
    width: 10vw;
  }
}
/* END OF NAVBAR */

/* HERO */
.pad {
  padding-bottom: 500px !important;
}
/* END OF HERO */

/* OVERVIEW */
.box {
  background-color: white;
  width: 270px;
  height: 70px;
  border-radius: 25px 25px 25px 25px;
  margin-top: 5%;
  margin-left: 10%;
  align-items: center;
  justify-content: center;
  display: flex;
}

.text1 {
  color: #8e5794;
  font-weight: 500;
  font-size: 40px;
  font-family: "Inter";
}
/* END OF OVERVIEW */

/* DESCRIPTION */
.flex-c1 {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: flex-start;
  align-content: stretch;
  margin-left: 5%;
  margin-top: 5%;
  margin-right: 5%;
}

.flex-items:nth-child(1) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 28px;
  font-family: "Inter";
}

.flex-items:nth-child(2) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 28px;
  font-family: "Inter";
}

.flex-items:nth-child(3) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 28px;
  font-family: "Inter";
}

.flex-items:nth-child(4) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 28px;
  font-family: "Inter";
}

.flex-c2 {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: stretch;
  align-content: stretch;
  margin-left: 5%;
  margin-top: 2%;
  margin-right: 5%;
}

.flex-items2:nth-child(1) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 18px;
  font-family: "Inter";
  position: relative;
  z-index: 1;
}

.flex-items2:nth-child(2) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 18px;
  font-family: "Inter";
}

.flex-items2:nth-child(3) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 18px;
  font-family: "Inter";
}

.flex-items2:nth-child(4) {
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  width: 15%;
  color: white;
  font-size: 18px;
  font-family: "Inter";
}

.smooth {
  transition: all 0.5s ease-in-out;
}

.giu-thin {
  font-family: Giuconda-Thin;
}

.giu-regular {
  font-family: Giuconda-Regular;
}

.giu-semi-bold {
  font-family: Giuconda-Semi-Bold;
}

/* END OF DESCRIPTION */

/* SPEAKERS */
.smooth {
  transition: all 0.5s ease-in-out;
}

.our-speaker {
  display: inline-block;
  position: relative;
  margin-top: 3%;
}

.wavy {
  background-image: url("Wavy.png");
  background-repeat: no-repeat;
  background-size: cover;
  display: block;
  flex-grow: 0;
  flex-shrink: 1;
  align-self: stretch;
  order: 0;
  position: relative;
}

.text-our-speaker {
  color: #022f46;
  position: absolute;
  top: 23%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  font-size: 45px;
  font-family: "ProgressExtended-Bold";
  font-weight: bold;
}

.ambience-box1 {
  position: absolute;
  top: 43%;
  left: 36%;
  transform: translate(-50%, -50%);
}

.ambience-box2 {
  position: absolute;
  top: 43%;
  left: 66%;
  transform: translate(-50%, -50%);
}

.speaker1 {
  position: absolute;
  top: 47%;
  left: 35.5%;
  transform: translate(-50%, -50%);
}

.speaker2 {
  position: absolute;
  top: 47%;
  left: 65.5%;
  transform: translate(-50%, -50%);
}

.text-name1 {
  color: #022f46;
  position: absolute;
  top: 64%;
  left: 35.5%;
  transform: translate(-50%, -50%);
  font-size: 38px;
  font-family: "ProgressExtended-Bold";
  font-weight: bold;
}

.text-name2 {
  color: #022f46;
  position: absolute;
  top: 64%;
  left: 65.5%;
  transform: translate(-50%, -50%);
  font-size: 38px;
  font-family: "ProgressExtended-Bold";
  font-weight: bold;
}
/* END OF SPEAKERS */

/* SPONSOR */
.sponsortitle {
  font-size: 35px;
  font-family: "ProgressExtended-Bold";
  color: #fff;
}

.container-coloring {
  background: linear-gradient(
    152.97deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.2) 6.56%,
    rgba(255, 255, 255, 0) 100%
  );
  filter: drop-shadow(2px 4px 10px rgba(0, 0, 0, 0.08));
  backdrop-filter: blur(21px);

  border-radius: 16px;
  border: 1px solid white;
}

@media only screen and (min-width: 320px) {
  .sponsor-mg {
    margin-top: 10vw;
  }
}

@media only screen and (max-width: 1020px) {
  .logo-margin {
    margin-bottom: 3vw;
  }
}
/* END OF SPONSOR */

/* JOIN US */

/* remake */

#techtalk-about {
  position: relative;
  color: white;
  font-family: "Giuconda-Regular";
}

.techtalk-about-info {
  text-align: center;
  justify-content: center;
  align-items: center;
  /* margin: 0 auto !important; */

  margin-left: 5% !important;
}

.techtalk-join {
  font-family: "ProgressExtended-Bold";
}

.techtalk-about-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  width: calc(275px / 1.3) !important;
  height: calc(72px / 1.3);
  transition: all 0.3s ease 0s;
  border-radius: 5px;
}

.techtalk-about-btn i {
  display: none;
}

.techtalk-ball {
  z-index: -2;
  position: absolute;
  transition: all 0.3s ease;
}

.techtalk-ball-1 {
  top: -20vw;
  width: 40vw;
  -webkit-filter: blur(10px) !important;
  filter: blur(10px) !important;
}

.techtalk-ball-2 {
  top: 20vw;
  right: -5vw;
  width: 60vw;
  -webkit-filter: blur(10px) !important;
  filter: blur(10px) !important;
}

.techtalk-akar-l {
  top: -10vw;
  left: -40vw;
  width: 250vw;
  position: absolute;
  z-index: -3;
}

.techtalk-akar-r {
  bottom: 50vw !important;
  right: -30vw;
  width: 355vw;
  position: absolute;
  z-index: -3;
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}

.techtalk-about-rectangle {
  bottom: -40vw;
  left: -25%;
  z-index: -4 !important;
  width: 130%;
  height: calc(50vw);
  /*border-radius: calc(7vw * 0.9);*/
  transform: rotate(180deg);
  -webkit-mask-image: linear-gradient(to bottom, black 80%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 80%, transparent 100%);
}

.techtalk-rec {
  bottom: -28vw;
  right: 0vw;
  width: 45vw;
  position: absolute;
  z-index: -4;
}

@media only screen and (min-width: 320px) {
  .techtalk-akar-r {
    bottom: 100vw !important;
    right: 0vw !important;
    width: 90vw !important;
  }

  .techtalk-rec {
    bottom: 100vw !important;
    right: 0vw;
    width: 50vw !important;
  }
}

@media only screen and (min-width: 480px) {
  #techtalk-about {
    margin-top: 300px !important;
  }

  .techtalk-ball-1 {
    top: -20vw;
    width: 30vw;
  }

  .techtalk-ball-2 {
    top: 15vw;
    right: 0vw;
    width: 45vw;
  }

  .techtalk-akar-l {
    top: -50vw;
    left: -48vw;
    width: 150vw;
  }

  .techtalk-akar-r {
    bottom: 60vw !important;
    right: 0vw !important;
    width: 65vw;
  }

  .techtalk-rec {
    bottom: 60vw !important;
    right: 0vw;
    width: 45vw !important;
  }
}

@media only screen and (min-width: 640px) {
  .techtalk-akar-r {
    bottom: 45vw !important;
    right: 0vw !important;
    width: 65vw;
  }

  .techtalk-rec {
    bottom: 40vw !important;
    right: 0vw;
    width: 45vw !important;
  }
}

@media only screen and (min-width: 768px) {
  #techtalk-about {
    margin-top: 300px !important;
  }

  .techtalk-about-rectangle {
    border-radius: calc(7vw * 0.9);
  }

  .techtalk-ball-1 {
    top: -20vw;
    width: 30vw;
  }

  .techtalk-ball-2 {
    top: 5vw;
    right: -5vw;
    width: 40vw;
    -webkit-filter: none !important;
    filter: none !important;
  }

  .techtalk-akar-l {
    top: -35vw;
    left: -60vw;
    width: 250vw !important;
  }

  .techtalk-akar-r {
    bottom: 40vw !important;
    right: 0vw;
    width: 75vw !important;
  }

  .techtalk-rec {
    bottom: 30vw !important;
    right: 0vw;
    width: 40vw !important;
  }
  /*
  .about-rectangle {
    left: 50vw;
    bottom: -25vw !important;
    width: calc(45vw * 1.2);
    height: calc(50vw * 0.9);
    transform: rotate(-38deg);
  }
  */
  .techtalk-about-info {
    text-align: left;
    justify-content: flex-start;
    align-items: flex-start;
    /* margin: 0 auto !important; */

    margin-left: 5% !important;
  }
}

@media only screen and (min-width: 1024px) {
  #techtalk-about {
    margin-top: 350px; /*sementara*/
  }

  .techtalk-about-info {
    text-align: left;
    justify-content: flex-start;
    align-items: flex-start;
    /* margin: 0 auto !important; */

    margin-left: 5% !important;
  }

  .techtalk-ball-1 {
    top: -20vw;
    left: -2vw;
    width: 20vw;
  }

  .techtalk-ball-2 {
    top: -5vw;
    right: 8vw;
    width: 38vw;
  }

  .techtalk-akar-l {
    top: -30vw;
    left: -38vw;
    width: 60vw !important;
  }

  .techtalk-akar-r {
    bottom: 35vw !important;
    right: 0vw;
    width: 70vw !important;
  }

  .techtalk-rec {
    bottom: 25vw !important;
    right: 0vw;
    width: 40vw;
  }

  /*
  .about-rectangle {
    left: 55vw;
    bottom: -30vw !important;
    width: calc(45vw * 1);
    height: calc(50vw * 0.9);
    transform: rotate(-38deg);
  }
*/
  .techtalk-about-btn i {
    display: block;
    opacity: 0;
    transition: all 0.125s ease-in-out;
  }

  .techtalk-about-btn p {
    transform: translateX(10px);
    transition: all 0.125s ease-in-out;
  }

  .techtalk-about-btn:hover p {
    transform: translateX(-10px);
    transition: all 0.125s ease-in-out;
  }

  .techtalk-about-btn:hover i {
    opacity: 1;
    transition: all 0.125s ease-in-out;
    transform: translateX(16px);
  }
}

@media only screen and (min-width: 1280px) {
  #techtalk-about {
    margin-top: 450px !important; /*sementara*/
  }

  .techtalk-ball-1 {
    top: -20vw;
    width: 20vw;
  }

  .techtalk-ball-2 {
    top: -5vw;
    right: 0vw;
    width: 35vw;
  }

  .techtalk-akar-l {
    top: -32vw;
    left: -52vw;
    width: 70vw !important;
  }

  .techtalk-about-info {
    text-align: left;
    justify-content: flex-start;
    align-items: flex-start;
    /* margin: 0 auto !important; */

    margin-left: 5% !important;
  }
  /*
  .about-rectangle {
    left: 55vw;
    bottom: -25vw !important;
    width: calc(45vw * 1);
    height: calc(50vw * 0.9);
    transform: rotate(-38deg);
  }
*/
  .techtalk-about-btn {
    font-size: 22px;
    width: calc(275px / 0.8) !important;
    height: calc(72px / 1);
  }

  .techtalk-akar-r {
    bottom: 10vw !important;
    right: 0vw;
    width: 65vw !important;
  }

  .techtalk-rec {
    bottom: 5vw !important;
  }
}

/* END OF JOIN US */

/* FOOTER */

footer {
  height: 400px;
  color: white;
  padding: 50px 0;
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  background: linear-gradient(
    45deg,
    #0186ba -20%,
    #022f46 30%,
    #022f46 70%,
    #0186ba 120%
  );
  font-family: "Giuconda-Regular";
}

footer img {
  width: 150px;
  object-fit: contain;
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.content-top {
  display: flex;
  justify-content: space-between;
}

.content-bottom {
  font-size: 22px;
}

.footer-nav {
  font-size: 22px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat(3, 1fr);
  column-gap: 4.5vw;
  row-gap: 20px;
}

.footer-nav a {
  position: relative;
  text-decoration: none;
  transition: 0.125s all ease-in-out;
}

.footer-nav a:hover {
  color: #ff84b2;
}

.footer-nav a::before {
  background-color: #ff84b2;
}

.social {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.contact {
  display: flex;
  gap: 50px;
  align-self: flex-end;
}

.contact-platform {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  border-bottom: 2px solid #306a73;
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.4) 0%,
    rgba(255, 255, 255, 0) 100%,
    rgba(255, 255, 255, 0) 100%
  );
  filter: drop-shadow(1px 4px 4px rgba(0, 0, 0, 0.7));
  backdrop-filter: blur(21px);
}

.contact-platform img {
  width: 60%;
}

.support {
  display: flex;
  text-align: center;
  gap: 50px;
  align-self: flex-end;
}

.support img {
  height: 125px;
  width: auto;
}

@media only screen and (max-width: 1280px) {
  .footer img {
    width: 7vw;
  }

  .support img {
    height: 150x;
  }

  .contact-platform {
    width: 40px;
    height: 40px;
  }
}

@media only screen and (max-width: 1024px) {
  footer {
    padding: 75px 0;
  }

  .footer-nav {
    font-size: 18px;
  }

  .content-bottom {
    font-size: 16px;
  }

  .footer img {
    width: 10vw;
  }

  .support {
    gap: 20px !important;
  }

  .support img {
    height: 110px;
  }
}

@media only screen and (max-width: 768px) {
  footer {
    padding: 50px 0;
    height: 325px;
    grid-template-columns: 1.5fr 1fr;
  }

  footer img {
    width: 13vw;
  }

  .content-bottom {
    font-size: 16px;
  }

  .contact {
    gap: 25px;
  }

  .contact-platform {
    width: 35px;
    height: 35px;
  }

  .support {
    gap: 25px;
  }

  .support img {
    height: 100px;
  }
}

@media only screen and (max-width: 640px) {
  footer {
    height: auto;
  }

  footer img {
    width: 16vw;
  }

  .content {
    gap: 25px;
  }

  .content-top {
    flex-direction: column;
    gap: 25px;
  }

  .content-bottom {
    font-size: 14px;
  }

  .footer-nav {
    font-size: 16px;
  }

  .support {
    flex-direction: column;
  }

  .support img {
    height: 75px;
  }
}

@media only screen and (max-width: 480px) {
  footer {
    grid-template-columns: 1fr 1fr;
  }

  footer img {
    width: 19vw;
  }

  .contact-platform {
    width: 6.8vw;
    height: 6.8vw;
  }
}
/* END OF FOOTER */
